For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Inventory Levels
      • GETGet All Inventory Levels Grouped By Fulfillment Center
      • GETGet Inventory
      • GETGet All Inventory Levels
      • GETGet Inventory Levels Grouped By Fulfillment Center
      • GETGet Inventory Levels Grouped By Lot
      • GETGet All Inventories
      • GETGet All Inventory Levels Grouped By Lot
LogoLogo
API ReferenceInventory

Get Inventory Levels Grouped By Lot

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2026-01/inventory-level/:inventoryId/lots
GET
/2026-01/inventory-level/:inventoryId/lots
$curl https://sandbox-api.shipbob.com/2026-01/inventory-level/1/lots \
> -H "Authorization: Bearer <token>"
1{
2 "inventory_id": 0,
3 "lots": [
4 {
5 "awaiting_quantity": 0,
6 "committed_quantity": 0,
7 "fulfillable_quantity": 0,
8 "internal_transfer_quantity": 0,
9 "locations": [
10 {
11 "awaiting_quantity": 0,
12 "committed_quantity": 0,
13 "fulfillable_quantity": 0,
14 "internal_transfer_quantity": 0,
15 "location_id": 0,
16 "name": "string",
17 "on_hand_quantity": 0
18 }
19 ],
20 "lot_date": "2019-08-24T14:15:22+00:00",
21 "lot_number": "string",
22 "on_hand_quantity": 0
23 }
24 ],
25 "name": "string",
26 "sku": "string"
27}
Retrieves inventory levels for a specific inventory item broken down by lot number. Useful for tracking inventory by manufacturing lot, expiration date, or batch information.
Was this page helpful?
Previous

Get Inventory Levels Grouped By Fulfillment Center

Next

Get All Inventories

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

inventoryIdintegerRequired

Unique identifier for the inventory item to retrieve lot-grouped quantity levels for. Use this to see inventory breakdown by lot number and expiration date.

Response

OK
inventory_idinteger
Unique identifier for the inventory item
lotslist of objects
List of lot numbers and their respective inventory quantities
namestring
Name of the inventory item
skustring
Stock keeping unit identifier

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error